Package org.gitana.platform.client.plan

# Interface Plan

All Superinterfaces:
  `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `RegistrarDocument`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `PlanImpl`

public interface Plan extends RegistrarDocument, Selfable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_BASE`
`static final String`
`FIELD_BASE_PRICE`
`static final String`
`FIELD_BASE_SCHEDULE`
`static final String`
`FIELD_CAPABILITIES`
`static final String`
`FIELD_PLAN_KEY`
`static final String`
`FIELD_REQUIRES_BILLING`
`static final String`
`FIELD_STORAGE`
`static final String`
`FIELD_STORAGE_ALLOWANCE`
`static final String`
`FIELD_STORAGE_BILLING_KEY`
`static final String`
`FIELD_STORAGE_MAX`
`static final String`
`FIELD_STORAGE_PRICE`
`static final String`
`FIELD_STORAGE_REQUIRES_BILLING`
`static final String`
`FIELD_STORAGE_UNIT`
`static final String`
`FIELD_SUBTENANT_ALLOWANCE`
`static final String`
`FIELD_TRANSFER_OUT`
`static final String`
`FIELD_TRANSFER_OUT_ALLOWANCE`
`static final String`
`FIELD_TRANSFER_OUT_BILLING_KEY`
`static final String`
`FIELD_TRANSFER_OUT_MAX`
`static final String`
`FIELD_TRANSFER_OUT_PRICE`
`static final String`
`FIELD_TRANSFER_OUT_REQUIRES_BILLING`
`static final String`
`FIELD_TRANSFER_OUT_UNIT`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`BigDecimal`
`getBillingPrice()`
`org.gitana.platform.services.payment.BillingSchedule`
`getBillingSchedule()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getCapabilities()`
`String`
`getPlanKey()`
`boolean`
`getRequiresBilling()`
`long`
`getStorageAllowance()`
`String`
`getStorageBillingKey()`
`boolean`
`getStorageBillingRequired()`
`long`
`getStorageMax()`
`BigDecimal`
`getStoragePrice()`
`org.gitana.platform.services.plan.DataUnit`
`getStorageUnit()`
`int`
`getSubTenantAllowance()`
`long`
`getTransferOutAllowance()`
`String`
`getTransferOutBillingKey()`
`boolean`
`getTransferOutBillingRequired()`
`long`
`getTransferOutMax()`
`BigDecimal`
`getTransferOutPrice()`
`org.gitana.platform.services.plan.DataUnit`
`getTransferOutUnit()`
`void`
`setBillingPrice(BigDecimal billingPrice)`
`void`
`setBillingSchedule(org.gitana.platform.services.payment.BillingSchedule billingSchedule)`
`void`
`setCapabilities(com.fasterxml.jackson.databind.node.ObjectNode capabilities)`
`void`
`setPlanKey(String planKey)`
`void`
`setRequiresBilling(boolean requiresBilling)`
`void`
`setStorageAllowance(long storageAllowance)`
`void`
`setStorageBillingKey(String storageBillingKey)`
`void`
`setStorageBillingRequired(boolean storageBillingRequired)`
`void`
`setStorageMax(long storageMax)`
`void`
`setStoragePrice(BigDecimal storagePrice)`
`void`
`setStorageUnit(org.gitana.platform.services.plan.DataUnit storageUnit)`
`void`
`setSubTenantAllowance(int subtenantAllowance)`
`void`
`setTransferOutAllowance(long transferOutAllowance)`
`void`
`setTransferOutBillingKey(String transferOutBillingKey)`
`void`
`setTransferOutBillingRequired(boolean transferOutBillingRequired)`
`void`
`setTransferOutMax(long transferOutMax)`
`void`
`setTransferOutPrice(BigDecimal transferOutPrice)`
`void`
`setTransferOutUnit(org.gitana.platform.services.plan.DataUnit transferOutUnit)`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.registrar.RegistrarDocument

`getRegistrar, getRegistrarId`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_PLAN_KEY

static final String FIELD_PLAN_KEY

See Also:
  - Constant Field Values

### FIELD_REQUIRES_BILLING

static final String FIELD_REQUIRES_BILLING

See Also:
  - Constant Field Values

### FIELD_BASE

static final String FIELD_BASE

See Also:
  - Constant Field Values

### FIELD_BASE_PRICE

static final String FIELD_BASE_PRICE

See Also:
  - Constant Field Values

### FIELD_BASE_SCHEDULE

static final String FIELD_BASE_SCHEDULE

See Also:
  - Constant Field Values

### FIELD_STORAGE

static final String FIELD_STORAGE

See Also:
  - Constant Field Values

### FIELD_STORAGE_UNIT

static final String FIELD_STORAGE_UNIT

See Also:
  - Constant Field Values

### FIELD_STORAGE_ALLOWANCE

static final String FIELD_STORAGE_ALLOWANCE

See Also:
  - Constant Field Values

### FIELD_STORAGE_PRICE

static final String FIELD_STORAGE_PRICE

See Also:
  - Constant Field Values

### FIELD_STORAGE_MAX

static final String FIELD_STORAGE_MAX

See Also:
  - Constant Field Values

### FIELD_STORAGE_BILLING_KEY

static final String FIELD_STORAGE_BILLING_KEY

See Also:
  - Constant Field Values

### FIELD_STORAGE_REQUIRES_BILLING

static final String FIELD_STORAGE_REQUIRES_BILLING

See Also:
  - Constant Field Values

### FIELD_TRANSFER_OUT

static final String FIELD_TRANSFER_OUT

See Also:
  - Constant Field Values

### FIELD_TRANSFER_OUT_UNIT

static final String FIELD_TRANSFER_OUT_UNIT

See Also:
  - Constant Field Values

### FIELD_TRANSFER_OUT_ALLOWANCE

static final String FIELD_TRANSFER_OUT_ALLOWANCE

See Also:
  - Constant Field Values

### FIELD_TRANSFER_OUT_PRICE

static final String FIELD_TRANSFER_OUT_PRICE

See Also:
  - Constant Field Values

### FIELD_TRANSFER_OUT_MAX

static final String FIELD_TRANSFER_OUT_MAX

See Also:
  - Constant Field Values

### FIELD_TRANSFER_OUT_BILLING_KEY

static final String FIELD_TRANSFER_OUT_BILLING_KEY

See Also:
  - Constant Field Values

### FIELD_TRANSFER_OUT_REQUIRES_BILLING

static final String FIELD_TRANSFER_OUT_REQUIRES_BILLING

See Also:
  - Constant Field Values

### FIELD_SUBTENANT_ALLOWANCE

static final String FIELD_SUBTENANT_ALLOWANCE

See Also:
  - Constant Field Values

### FIELD_CAPABILITIES

static final String FIELD_CAPABILITIES

See Also:
  - Constant Field Values

## Method Details

### setPlanKey

void setPlanKey(String planKey)

### getPlanKey

String getPlanKey()

### getRequiresBilling

boolean getRequiresBilling()

### setRequiresBilling

void setRequiresBilling(boolean requiresBilling)

### getBillingPrice

BigDecimal getBillingPrice()

### setBillingPrice

void setBillingPrice(BigDecimal billingPrice)

### getBillingSchedule

org.gitana.platform.services.payment.BillingSchedule getBillingSchedule()

### setBillingSchedule

void setBillingSchedule(org.gitana.platform.services.payment.BillingSchedule billingSchedule)

### getStorageUnit

org.gitana.platform.services.plan.DataUnit getStorageUnit()

### setStorageUnit

void setStorageUnit(org.gitana.platform.services.plan.DataUnit storageUnit)

### getStorageAllowance

long getStorageAllowance()

### setStorageAllowance

void setStorageAllowance(long storageAllowance)

### getStoragePrice

BigDecimal getStoragePrice()

### setStoragePrice

void setStoragePrice(BigDecimal storagePrice)

### getStorageMax

long getStorageMax()

### setStorageMax

void setStorageMax(long storageMax)

### getStorageBillingKey

String getStorageBillingKey()

### setStorageBillingKey

void setStorageBillingKey(String storageBillingKey)

### getStorageBillingRequired

boolean getStorageBillingRequired()

### setStorageBillingRequired

void setStorageBillingRequired(boolean storageBillingRequired)

### getTransferOutUnit

org.gitana.platform.services.plan.DataUnit getTransferOutUnit()

### setTransferOutUnit

void setTransferOutUnit(org.gitana.platform.services.plan.DataUnit transferOutUnit)

### getTransferOutAllowance

long getTransferOutAllowance()

### setTransferOutAllowance

void setTransferOutAllowance(long transferOutAllowance)

### getTransferOutPrice

BigDecimal getTransferOutPrice()

### setTransferOutPrice

void setTransferOutPrice(BigDecimal transferOutPrice)

### getTransferOutMax

long getTransferOutMax()

### setTransferOutMax

void setTransferOutMax(long transferOutMax)

### getTransferOutBillingKey

String getTransferOutBillingKey()

### setTransferOutBillingKey

void setTransferOutBillingKey(String transferOutBillingKey)

### getTransferOutBillingRequired

boolean getTransferOutBillingRequired()

### setTransferOutBillingRequired

void setTransferOutBillingRequired(boolean transferOutBillingRequired)

### getCapabilities

com.fasterxml.jackson.databind.node.ObjectNode getCapabilities()

### setCapabilities

void setCapabilities(com.fasterxml.jackson.databind.node.ObjectNode capabilities)

### getSubTenantAllowance

int getSubTenantAllowance()

### setSubTenantAllowance

void setSubTenantAllowance(int subtenantAllowance)